## pspp 0.7.9+git20120311

=== debian/changelog ===
pspp (0.7.9+git20120311-1) unstable; urgency=low

  * New upstream snapshot, fix FTBFS on hurd-i386. 
  * debian/copyright: add details about lib/gtk-contrib/*

 -- bojo42 <bojo42@gmail.com>  Mon, 12 Mar 2012 14:29:25 +0100

pspp (0.7.9+git20120303-1) unstable; urgency=low

  * New upstream snapshot, should fix outstanding testsuite failures.
  * debian/control: no Build-Depends for postgresql on hurd-i386

 -- bojo42 <bojo42@gmail.com>  Mon, 05 Mar 2012 01:23:43 +0100

pspp (0.7.9+git20120229-1) unstable; urgency=low

  * New upstream snapshot (Closes: #660854)
  * debian/rules:
    - emit non-zero exit code on testsuite errors in override_dh_auto_test
    - remove possible pregenerated icon cache (Closes: #661573)
  * debian/control: bump Standards-Version to current policy

 -- bojo42 <bojo42@gmail.com>  Wed, 29 Feb 2012 20:15:20 +0100

pspp (0.7.9+git20120219-1) unstable; urgency=low

  * New upstream snapshot (should fix some issues on big-endian)
  * debian/rules: post testsuite.log to build log on failures & typofixes
  * debian/control: reorganize Build-Depends for better overview

 -- bojo42 <bojo42@gmail.com>  Mon, 20 Feb 2012 16:10:46 +0100

pspp (0.7.9+git20120214-1) unstable; urgency=low

  * New maintainer (Closes: #636414)
  * New upstream development snapshot
    - debian/README.Source: notice about upstream source and Gnulib tarball
    - debian/pspp.desktop: drop it as already in upstream
  * Switch to source format 3.0 (quilt)
    - move manual changes to debian/patches/* 
    - drop "psppire-data-editor.c" patch as already in upstream
    - drop "lib/gtksheet/gtkitementry.c" patch as no longer needed
    - drop manual changes to config.guess, config.sub
    - ship Debian's gnulib source as supplementary tarball
  * Switch to minimal debhelper 7 rules & cleanup
    - debian/rules:
      - strip everything that's not needed because of debhelper 7
      - convert desktop icon from SVG and ship SVG
      - there's no /usr/share/info/dir anymore
      - no pref.h.orig & src/version.c to take care of
      - switch to default usage of dh_makeshlibs again
      - use smake
      - remove possibly auto-generated info dir file
    - debian/control:
      - add Uploaders
      - remove obsolete build depends on libplot-dev, libglade2-dev
      - new build depends on libxml2-dev, zlib1g-dev, libcairo2-dev,
        libpango1.0-dev, autoconf, automake, m4, pkg-config, gperf, libtool,
        smake, libgtk2.0-bin, libgtksourceview2.0-dev, libpq-dev, postgresql,
        perl, libtext-diff-perl, librsvg2-bin
      - new version dependency for debhelper, gettext, texinfo
      - bump Standards-Version
      - update Description
    - debian/dirs: strip already present dirs
    - debian/docs: merge from rules & add THANKS, OChangeLog, ONEWS
    - debian/info: move info to pspp.info
    - debian/preinst:
      - handle old conffiles like psfonts & devices
      - use old school style for that as dpkg (>= 1.15.7.2) hinders backports 
    - debian/pspp.manpages: exclude from rules
    - debian/pspp.doc-base: add information about the GUI
    - debian/watch: strip template stuff for Lintian & other boilerplate text
    - delete debian/README.examples, debian/example.stat & debian/myfile.syn
  * Update debian/copyright
    - new copyright holders and remove old email address
    - new download location
    - update the final paragraph of the license text
  * Ship redone SVG icon until we have a nice upstream one

 -- bojo42 <bojo42@gmail.com>  Wed, 15 Feb 2012 14:15:22 +0100

pspp (0.6.2-4) unstable; urgency=low

  * QA upload.
  * Package has been orphaned, set Debian QA as maintainer.
  * Empty dependency_libs field from la files. Closes: #633285.
  * Rename gtk_entry_reset_im_context to my_gtk_entry_reset_im_context,
    avoiding conflict with the one defined in gtkentry.h. Closes: #621986.

 -- Regis Boudin <regis@debian.org>  Tue, 20 Sep 2011 20:38:25 +0100

pspp (0.6.2-3) unstable; urgency=low

  * doc/pspp.man: Docs are in /usr/share/doc and /usr/share/info (thanks
    to Sergio Gelato <Sergio.Gelato@astro.su.se>, closes:Bug#557633).
    Delete reference to pspp FAQ.

 -- James R. Van Zandt <jrv@debian.org>  Mon, 04 Jan 2010 21:19:13 -0500

pspp (0.6.2-2) unstable; urgency=low

  * debian/rules: only delete /usr/share/info/dir if it exists
    (Closes:Bug#555839)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 15 Nov 2009 17:38:36 -0500

pspp (0.6.2-1) unstable; urgency=low

  * New upstream release (Closes:Bug#552744,Bug#549753,Bug#512038)

  * debian/control: depend on libreadline-dev rather than libreadline5-dev
    (per request of Matthias Klose <doko@cs.tu-berlin.de>,
    Closes:Bug#553829), depend on 'dpkg (>= 1.15.4) | install-info' for
    new info file installation process.  Don't call deprecated
    installation helper dh_desktop.  Bump debhelper compatibility version
    to 7.  Bump debian policy to 3.8.3.
  
  * debian/rules: don't install /usr/share/info/dir file.  install calls
    dh_prep instead of dh_clean -k.

 -- James R. Van Zandt <jrv@debian.org>  Mon, 09 Nov 2009 17:10:48 -0500

pspp (0.6.1-4) unstable; urgency=low

  * src/ui/gui/psppire-data-editor.c: prevent data sheet from traversing
    into an invalid column, per fix by John Darrington (see
    http://git.savannah.gnu.org/cgit/pspp.git/commit/?h=stable&id=47aaa033c935d0427abd7cbb591a35450eb7db81)(Closes:Bug#516521)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 28 Feb 2009 22:46:51 -0500

pspp (0.6.1-3) unstable; urgency=low

  * debian/pspp.desktop: Correct name of icon file.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 21 Feb 2009 20:54:26 -0500

pspp (0.6.1-2) unstable; urgency=low

  * Install pspp.desktop file (Thanks to "Bojo 42" <bojo42@googlemail.com>)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 20 Feb 2009 20:18:02 -0500

pspp (0.6.1-1) unstable; urgency=low

  * New upstream release (closes:Bug#502856)
  
  * debian/rules: enable parallel builds


