## pspp 0.7.9+git20120319

=== debian/changelog ===
pspp (0.7.9+git20120319-1) unstable; urgency=low

  * New upstream snapshot, fix testsuite errors on Ubuntu precise i386.

 -- bojo42 <bojo42@gmail.com>  Mon, 26 Mar 2012 22:08:23 +0200
