=== debian/changelog ===
pspp (0.7.9+git20120620-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix_ftbfs_gets: Apply patch from Ubuntu to fix FTBFS with
    eglibc 2.17. (Closes: #708807)
  * debian/patches/texinfo-5: Apply patch from upstream to fix FTBFS with
    texinfo 5.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 May 2013 12:37:54 +0200

pspp (0.7.9+git20120620-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/699263: Add patch from upstream to fix test suite failures.
    Since the default epoch depends on the current year, the test suite broke
    on January 1, 2013. The patch adds the epoch to the test suite. (Closes:
    #699263)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Feb 2013 00:25:38 +0100

pspp (0.7.9+git20120620-1) unstable; urgency=low

  * New upstream snapshot, fixes non-ASCII import issue (Closes: #676371).

 -- bojo42 <bojo42@gmail.com>  Sun, 24 Jun 2012 23:57:16 +0200
