=== debian/control ===
Source: pspp
Section: math
Priority: optional
Maintainer: bojo42 <bojo42@gmail.com>
Uploaders: Ben Pfaff <blp@cs.stanford.edu>
Build-Depends: debhelper (>= 7.0.50~),
               gettext (>= 0.17),
               libncurses5-dev,
               texlive,
               texi2html,
               libgsl0-dev,
               texinfo (>= 4.7),
               libreadline-dev,
               libxml2-dev,
               zlib1g-dev,
               libcairo2-dev (>= 1.5),
               libpango1.0-dev (>= 1.22),
               autoconf (>= 2.60),
               automake (>= 1.10),
               m4 (>= 1.4.9),
               pkg-config (>= 0.21),
               gperf (>= 3.0.1),
               libtool (>= 1.5.22),
               libgtk2.0-bin,
               libgtksourceview2.0-dev (>= 2.2.0),
               libpq-dev,
               postgresql [!hurd-i386],
               perl,
               libtext-diff-perl,
               librsvg2-bin
Standards-Version: 3.9.3
Homepage: http://savannah.gnu.org/projects/pspp

Package: pspp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Statistical analysis tool
 PSPP is a program for statistical analysis of sampled data. It is a free
 replacement for the proprietary program SPSS.
 .
 PSPP supports T-tests, ANOVA, GLM, factor analysis, non-parametric tests, and
 other statistical features. PSPP produces statistical reports in plain text,
 PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.
 .
 PSPP has both text-based and graphical user interfaces. The PSPP user interface
 has been translated into a number of languages.
