=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://ftp.gnu.org/pub/gnu/pspp/pspp-(.*)\.tar\.gz	debian	uupdate
