## pspp 0.8.3

=== debian/changelog ===
pspp (0.8.3-4) unstable; urgency=low

  * debian/source/options: added extend-diff-ignore such that debuild
    can be used several times and is not disturbed by differences between
    the source package and modified files like doc/pspp.xml
  * debian/patches/texi-vers.patch: This patch is a workaround for
    the parallel build problem due to vti.tmp file. The problem is
    described here: https://savannah.gnu.org/bugs/?43029
  * debian/rules: parallel build is enabled

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 20 Aug 2014 17:30:44 +0200

pspp (0.8.3-3) unstable; urgency=low

  * debian/rules: added autoreconf as proposed by Breno Leitao
    see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758539
    for the ppc64el architecture
  * debian/patches/texinfo.diff: fix problem with updated texinfo.tex
    When using autoreconf, the build-aux/texinfo.tex is updated. Fixed
    a problem with statistics.texi compatibility.
  * debian/rules: fixed testsuite.log dump to logfile
    The testsuite was run twice. I moved it to dh_auto_test section

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 19 Aug 2014 17:30:44 +0200

pspp (0.8.3-2) unstable; urgency=low

  * debian/rules: Fixed bug in previous update

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 18 Aug 2014 09:30:44 +0200

pspp (0.8.3-1.3) unstable; urgency=low

  * debian/rules: Disable compiler optimization on armhf because tests
    that use the MEANS procedure segfault with a null pointer dereference
    with GCC 4.9.1, in a way that doesn't look like a program bug.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 17 Aug 2014 12:26:12 -0700

pspp (0.8.3-1.2) unstable; urgency=low

  * debian/rules: Fix bug in previous update.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 16 Aug 2014 14:08:30 -0700

pspp (0.8.3-1.1) unstable; urgency=low

  * debian/rules: Dump testsuite.log to stdout on failure to make
    autobuilder test failures easier to debug.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 16 Aug 2014 09:41:42 -0700

pspp (0.8.3-1) unstable; urgency=low

  * upgrade to upstream version 0.8.3
  * debian/patches/test1039fix.patch: Add patch to fix a test failure in sid.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Thu, 07 Aug 2014 03:04:58 +0200
