=== debian/control ===
Source: pspp
Section: math
Priority: optional
Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
Uploaders: Ben Pfaff <blp@cs.stanford.edu>
Build-Depends: debhelper (>= 9.0.0),
               perl,
               texinfo (>= 4.7),
               texlive,
               libgsl0-dev (>= 1.13),
               libgtk2.0-dev (>= 2.24),
               libgtksourceview2.0-dev (>= 2.2),
               libxml2-dev,
               libreadline-dev,
               libglib2.0-dev,
               libcairo2-dev (>= 1.5),
               libpango1.0-dev (>= 1.22),
               zlib1g-dev,
               libncurses5-dev,
               pkg-config (>= 0.21), 
               postgresql [!hurd-i386],
               libtext-diff-perl,
               libpq-dev,
               dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://savannah.gnu.org/projects/pspp

Package: pspp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Statistical analysis tool
 PSPP is a program for statistical analysis of sampled data. It is a free
 replacement for the proprietary program SPSS.
 .
 PSPP supports T-tests, ANOVA, GLM, factor analysis, non-parametric tests, and
 other statistical features. PSPP produces statistical reports in plain text,
 PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.
 .
 PSPP has both text-based and graphical user interfaces. The PSPP user interface
 has been translated into a number of languages.
