## pspp 0.8.4

=== debian/changelog ===
pspp (0.8.4-1) unstable; urgency=low

  * New upstream release 0.8.4
  * Formatting of SYSFILE INFO output was made easier to read.
  * Bug fixes in upstream, including the following notable ones:
  * FREQUENCIES works properly for string variables.  (This bug was
    introduced in 0.8.2.)
  * CROSSTABS now correctly computes all of the measures that it
    offers.  Some measures have been removed because they were not
    computed correctly.
  * The NPAR TESTS calculation of significance for the RUNS
    subcommand has been corrected.
  * Planned comparisons in ONEWAY ANOVA now correctly handle negative
    T-values.
  * Conformance fixes to Open Document output format.
  * In the debian package the following patches are removed
  * debian/patches/test1039fix.patch removed because it is fixed upstream
    fixes https://bugs.debian.org/720865
  * debian/patches/texinfo.diff removed because it is fixed upstream
    fixes https://bugs.debian.org/758539
  * debian/patches/u8istream.patch removed because it is fixed upstream
    fixes https://bugs.debian.org/760841
  * The following patches are still applied
  * debian/patches/texi-vers.patch as this is a workaround for a bug in automake
    see https://bugs.debian.org/759102
  * debian/patches/fix_paths_in_manpage
    this is an adaption to debian
  * The following NEW patch is introduced
  * debian/patches/render-test.patch fixes a security error which is shown due
    to the debian compiler warning settings. This stops the build in debian.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 28 Sep 2014 20:35:44 +0200

pspp (0.8.3-6) unstable; urgency=low

  * debian/patches/texi-vers.patch: This patch was removed due to a mistake
    in the previous version and is now back. So this is bugfix.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 10 Sep 2014 20:35:44 +0200

pspp (0.8.3-5) unstable; urgency=low

  * debian/patches/u8istream.patch: This patch fixes a bug which
    showed up in regression on kfreebsd. The bug description is here:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=760841
    The bug is already fixed upstream.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 09 Sep 2014 20:48:44 +0200
