=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libtext-diff-perl,
                libpq-dev,
                dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp
