## pspp 0.8.5

=== debian/changelog ===
pspp (0.8.5-5build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:07:34 -0500

pspp (0.8.5-5) unstable; urgency=low

  * changed libgsl dependency from libgsl0-dev to libgsl-dev (version 2) to fix
    debian GSL transition bug. Closes: Bug#804498.
  * removed pspp.lintian override postrm

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 13 Nov 2015 08:06:00 +0200

pspp (0.8.5-4) unstable; urgency=low

  * added emacsen-compat file to install pspp emacs mode without error
    messages
  * added emacsen-common as dependency as required by debian-emacs-policy
  * removed debian/pspp.manpages as all manpages are now installed directly

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 26 Jun 2015 18:06:00 +0200

pspp (0.8.5-3) unstable; urgency=low

  * debian/patches/render.patch modified to fix the regression failure
    on s390x and ppc64. Also the pdf export bug via gui described in
    https://savannah.gnu.org/bugs/?45272 is fixed.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 24 Jun 2015 13:06:00 +0200

pspp (0.8.5-2) unstable; urgency=low

  * debian/patches/render.patch added to fix problem
    https://savannah.gnu.org/bugs/?45272 which is maybe
    the reason for the s390 regression failure

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 22 Jun 2015 13:06:00 +0200

pspp (0.8.5-1) unstable; urgency=low

  * New upstream release 0.8.5
  * The FREQUENCIES and CROSSTABS commands can now generate barcharts.
  * The FACTOR command can now perform PROMAX rotations.
  * SPSS/PC+ system files are now supported on GET and other commands
    that read SPSS system files.  The pspp-convert program can now read
    SPSS/PC+ system files.  Writing the obsolete SPSS/PC+ system file
    format is not supported.
  * SYSFILE INFO can now read SPSS/PC+ system files and SPSS portable
    files.
  * FREQUENCIES: A bug was fixed where an assertion failure occured
    when an empty dataset was presented.
  * The GRAPH command is now available.  Initially it supports
    scatterplots and histograms.
  * The RND operator in expressions now supports additional operands
    for rounding to values other than integers and to indicate a level
    of rounding fuzz.  The default rounding fuzz may now be controlled
    and displayed with SET FUZZBITS and SHOW FUZZBITS, respectively.
  * patch debian/patches/render-test.patch removed (fixed)
  * patch debian/patches/fix_paths_in_manpage removed (fixed)
  * debian/patches/texi-vers.patch is still applied because the fixed
    autotools version is not in debian yet

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sat, 20 Jun 2015 16:35:44 +0200
