=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                perl,
                texinfo (>= 4.7),
                texlive,
-               libgsl0-dev (>= 1.13),
+               libgsl-dev (>= 2.0),
                libgtk2.0-dev (>= 2.24),
                libgtksourceview2.0-dev (>= 2.2),
                libxml2-dev,
@@ -21,6 +21,7 @@
                postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
+	       emacsen-common (>= 2.0.8),
                dh-autoreconf
 Standards-Version: 3.9.6
 Homepage: http://savannah.gnu.org/projects/pspp
