=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

# Disable optimization on armhf because tests that use the MEANS
# procedure segfault on a null pointer dereference with GCC 4.9.1, in
# a way that doesn't look like a program bug.
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),armhf)
CONFIGUREFLAGS = CFLAGS=-O0
else
CONFIGUREFLAGS =
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_build:
	dh_auto_build -- all html pdf

override_dh_auto_test:
	# Post the testsuite results to the build log on failures
	dh_auto_test -- TESTSUITEFLAGS='$(PARALLEL)' || { cat $(CURDIR)/tests/testsuite.log; false; }

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath $(CONFIGUREFLAGS)

override_dh_install:
	# Delete the .la files 
	find debian -name '*.la' -delete
	dh_install --fail-missing

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.xml
