## pspp 0.10.1

=== debian/changelog ===
pspp (0.10.1-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:07:54 +0000

pspp (0.10.1-2) unstable; urgency=low

  * Removed armhf special gcc optimization option in rules
  * Removed hurd-i386 postgresql special treatment in control

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 04 Apr 2016 12:39:28 +0200

pspp (0.10.1-1) unstable; urgency=low

  * New upstream releae 0.10.1
  * fixed a bug where certain dialog boxes could not be properly populated
  * various commands hardened against invalid syntax
  * translation updates
  * removed debian patch formatstring.patch which is included upstream

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 03 Apr 2016 10:33:42 +0200

pspp (0.10.0-1) unstable; urgency=low

  * New upstream release 0.10.0
  * Migrated from gtk2 to gtk3
  * Graphs menu for the GRAPH command
  * pspp-convert can convert encrypted syntax files
  * New commands: SORT VARIABLES, REPLACE, STRUNC, MEDIAN
  * QUICK CLUSTER with /PRINT subcommand
  * Debian unstable now uses automake v15. Removed texi-vers.patch as the fix is
    contained in automake. Closes: Bug#759102
  * Removed render.patch as this is fixed upstream.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 28 Mar 2016 12:36:08 +0200
