=== debian/control ===
--- 
+++ 
@@ -5,25 +5,26 @@
 Uploaders: Ben Pfaff <blp@cs.stanford.edu>
 Build-Depends: debhelper (>= 9.0.0),
                perl,
-               texinfo (>= 4.7),
+               texinfo (>= 5.2),
                texlive,
+	       texlive-generic-recommended,
                libgsl-dev (>= 2.0),
-               libgtk2.0-dev (>= 2.24),
-               libgtksourceview2.0-dev (>= 2.2),
+               libgtk-3-dev (>= 3.4),
+               libgtksourceview-3.0-dev (>= 3.4),
                libxml2-dev,
                libreadline-dev,
                libglib2.0-dev,
-               libcairo2-dev (>= 1.5),
+               libcairo2-dev (>= 1.12),
                libpango1.0-dev (>= 1.22),
                zlib1g-dev,
                libncurses5-dev,
                pkg-config (>= 0.21), 
-               postgresql [!hurd-i386],
+               postgresql,
                libtext-diff-perl,
                libpq-dev,
 	       emacsen-common (>= 2.0.8),
                dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp
