## pspp 0.10.2

=== debian/changelog ===
pspp (0.10.2-1) unstable; urgency=low

  * New upstream release 0.10.2
  * CROSSTABS: Implement COUNT subcommand to round case or cell weights.
  * scatterplot: changed colorscheme - first color is black
  * help: start html help via browser / make it work on osx and windows
  * several bug fixes
  * reintroduced hurd-i386 postgresql special treatment

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 14 Sep 2016 12:16:21 +0200
