=== debian/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 Priority: optional
 Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
 Uploaders: Ben Pfaff <blp@cs.stanford.edu>
+# postgresql is disabled on hurd-i386 in order to remove
+# postgres support which will not build on hurd-i386
+# see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820743
 Build-Depends: debhelper (>= 9.0.0),
                perl,
                texinfo (>= 5.2),
@@ -19,12 +22,12 @@
                zlib1g-dev,
                libncurses5-dev,
                pkg-config (>= 0.21), 
-               postgresql,
+               postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
 	       emacsen-common (>= 2.0.8),
                dh-autoreconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp
