## pspp 1.0.1

=== debian/changelog ===
pspp (1.0.1-1) unstable; urgency=low

  * New upstream release 1.0.1
  * Bugfixes for CVE-2017-12958,
	         CVE-2017-12959,
                 CVE-2017-12960 and
                 CVE-2017-12961.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 27 Aug 2017 08:50:21 +0200

pspp (1.0.0-1) unstable; urgency=low

  * New upstream release 1.0.0
  * The REGRESSION command now has a /ORIGIN subcommand to perform
    regression through the origin.
  * The FACTOR command can now analyse matrix files prepared with MATRIX DATA.
  * The FACTOR command can now print the anti-image matrices.
  * The MATRIX DATA command has been added.
  * Some inappropriate properties in selection dialogs have been corrected.
  * A bug which could cause the HTML driver to go into a tight loop
    has been fixed.
  * An error in the FREQUENCIES procedure, where the word "Mean" was
    printed when "Variance" was appropriate has been fixed.
  * The ncurses library is no longer required or used.
  * A bug where the Mann-Whitney test would give misleading results
    if run on multiple variables and MISSING=ANALAYSIS was specified
    has been fixed.
  * Gtk+3.14.5 or later must now be used when building.
  * Graphical user interface changes:
     ** There is a new menu: Edit|Options
     ** The Non Parametric Statistics Menu
        has a new item: "K Independent Samples".
     ** Dialog boxes can now be canceled using the <Escape> key.
  * The AUTORECODE command now accepts an optional / before INTO.
  * The short form of the VECTOR command can now create string variables.
  * Bug fixes, including fixes for CVE-2017-10791 and CVE-2017-10792.
    Closes: #866890
  * Updated gnulib version which can be compiled with GCC7
    Closes: #853623

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 13 Aug 2017 08:50:21 +0200

pspp (0.10.2-2) unstable; urgency=low

  * fixes a regression bug where the initialization of the psql server fails
    Fixed with patch psql-regression.patch
    Closes: #850457
    Closes: #863933

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 26 Jun 2017 15:50:21 +0200
