=== debian/control ===
--- 
+++ 
@@ -12,22 +12,21 @@
                texlive,
 	       texlive-generic-recommended,
                libgsl-dev (>= 2.0),
-               libgtk-3-dev (>= 3.4),
-               libgtksourceview-3.0-dev (>= 3.4),
+               libgtk-3-dev (>= 3.14.5),
+               libgtksourceview-3.0-dev (>= 3.14),
                libxml2-dev,
                libreadline-dev,
                libglib2.0-dev,
                libcairo2-dev (>= 1.12),
                libpango1.0-dev (>= 1.22),
                zlib1g-dev,
-               libncurses5-dev,
                pkg-config (>= 0.21), 
                postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
 	       emacsen-common (>= 2.0.8),
                dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp
