=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,12 @@
 # Disable optimization on armhf because tests that use the MEANS
 # procedure segfault on a null pointer dereference with GCC 4.9.1, in
 # a way that doesn't look like a program bug.
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),armhf)
-CONFIGUREFLAGS = CFLAGS=-O0
-else
-CONFIGUREFLAGS =
-endif
+#DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+#ifeq ($(DEB_HOST_ARCH),armhf)
+#CONFIGUREFLAGS = CFLAGS=-O0
+#else
+#CONFIGUREFLAGS =
+#endif
 
 %:
 	dh $@ --parallel --with autoreconf
