## pspp 1.2.0

=== debian/changelog ===
pspp (1.2.0-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Take over package into Debian Science team maintenance

  [ Ben Pfaff ]
  * Issue error message for too-large extension records. (CVE-2018-20230)
    Closes: #916902

 -- Andreas Tille <tille@debian.org>  Tue, 23 Apr 2019 13:59:03 +0200

pspp (1.2.0-2) unstable; urgency=low

  * Fixed regression error in segmentation

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 26 Nov 2018 08:50:21 +0200

pspp (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0
  * New experimental command SAVE DATA COLLECTION to save MDD files.
  * MTIME and YMDHMS variable formats now supported.
  * Build changes:
    - zlib is now a required dependency.  (Previously it was optional.)
    - Gtk+3.18.0 or later must now be used when building.
    - The code implementing the sheet rendering has been removed.  Instead we
      use a third party library: spread-sheet-widget.
  * The "NOMISSING" keyword when generating syntax for piecharts in the
    frequencies command was omitted.  This has been corrected.
  * Regresssion fixed.
    Closes: #909857

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 6 Nov 2018 08:50:21 +0200
