=== debian/control ===
--- 
+++ 
@@ -1,32 +1,37 @@
 Source: pspp
 Section: math
 Priority: optional
-Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
-Uploaders: Ben Pfaff <blp@cs.stanford.edu>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Friedrich Beckmann <friedrich.beckmann@gmx.de>,
+           Ben Pfaff <blp@cs.stanford.edu>
 # postgresql is disabled on hurd-i386 in order to remove
 # postgres support which will not build on hurd-i386
 # see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820743
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11~),
+               dh-elpa,
+	       python,
                perl,
                texinfo (>= 5.2),
                texlive,
 	       texlive-generic-recommended,
+	       libspread-sheet-widget-dev (>= 0.3),
                libgsl-dev (>= 2.0),
-               libgtk-3-dev (>= 3.14.5),
-               libgtksourceview-3.0-dev (>= 3.14),
+               libgtk-3-dev (>= 3.18.0),
+               libgtksourceview-3.0-dev (>= 3.18),
                libxml2-dev,
                libreadline-dev,
                libglib2.0-dev,
                libcairo2-dev (>= 1.12),
                libpango1.0-dev (>= 1.22),
                zlib1g-dev,
-               pkg-config (>= 0.21), 
+               pkg-config (>= 0.21),
                postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
-	       emacsen-common (>= 2.0.8),
-               dh-autoreconf
-Standards-Version: 4.0.1
+	       emacsen-common (>= 2.0.8)
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/pspp
+Vcs-Git: https://salsa.debian.org/science-team/pspp.git
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp
