=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+# dh_elpa is used for the emacs pspp-mode. This overrides
+# the default name for the emacs package
+export ELPA_NAME=pspp-mode
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -26,7 +30,7 @@
 #endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf,elpa
 
 override_dh_auto_build:
 	dh_auto_build -- all html pdf
@@ -39,10 +43,12 @@
 	dh_auto_configure -- --disable-rpath $(CONFIGUREFLAGS)
 
 override_dh_install:
-	# Delete the .la files 
+	# Delete the .la files
 	find debian -name '*.la' -delete
-	dh_install --fail-missing
+	dh_install
+
+override dh_missing:
+	dh_missing --fail-missing
 
 override_dh_compress:
 	dh_compress --exclude=.pdf --exclude=.xml
-
