## pspp 1.4.0

=== debian/changelog ===
pspp (1.4.0-3) unstable; urgency=medium

  * added patch barchart-Sort-the-categories-before-displaying-the.patch

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 18 Aug 2020 13:26:26 +0200

pspp (1.4.0-2) unstable; urgency=medium

  * added patch fixed range check in parse_record_placement to fix
    regression failure on i386 architectures
  * added patch limit-the-number-of-variables-in-barchart.patch
    to fix regression failure on i386 systems

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 17 Aug 2020 21:48:27 +0200

pspp (1.4.0-1) unstable; urgency=medium

  * New upstream release 1.4.0
  * The file pspp-mode.el (the pspp-mode for Emacs) is no longer distributed
    with PSPP.  Instead, it can be installed directly in emacs and is available
    from https://elpa.gnu.org/packages/pspp-mode.html
  * The Find dialog box, when searching for numeric values, will match only
    to the precision of the variable's print format.  This avoids behaviour
    which is surprising to some users.
  * PSPP now supports the SPSS viewer (.spv) format that SPSS 16 and later
    use to save the contents of its output editor:
    - PSPP and PSPPIRE can write output to .spv files.
    - The new utility pspp-output can convert .spv files to other formats.
    - The pspp-convert utility can now decrypt encrypted .spv files.  The
      encrypted viewer file format is unacceptably insecure, so to
      discourage its use PSPP and PSPPIRE do not directly read or write
      this format.
  * A bug where the Data|Select Cases|Random Sample menu would generate
    invalid syntax has been fixed.
  * FREQUENCIES will emit a warning if one or more weight values are missing.
  * Plain text output is no longer divided into pages, since it is now
    rarely printed on paper.
  * pspp-convert improvements:
    - New "-a", "-l", "--password-list" options to search for an
      encrypted file's password.
    - New "--keep" and "--drop" options to output only selected variables.
    - New "--recode", "--no-var-name", "--labels", "--print-formats",
      "--decimal", "--delimiter", and "--qualifier" options to control
      CSV output.
  * Improvements to SAVE DATA COLLECTION support for MDD files.
  * Bug fix for CVE-2018-20230.
  * The /RENAME subcommand in SAVE TRANSLATE et al. has been extended
    to support the syntax also accepted by other software.
  * The EXAMINE command will now perform the Shapiro-Wilk test when
    one or more plots are requested.
  * The REGRESSION command now supports the /STATISTICS=TOL option which
    outputs tolerance and variance inflation factor metrics for the data.
  * The QUICK CLUSTER command now supports the /SAVE option which can
    be used to save the cases' cluster membership and/or their distance
    from the cluster centre to the active file.
  * The MEANS command has been re-implemented.
  * The GUI now has a sub-dialog for post-hoc tests of the oneway
    anova test.
  * Gtk+3.22.0 or later must now be used when building.
  * GRAPH: Categorical barcharts displaying percentages now show the
    sub-category as a percentage of the primary category instead of the
    total.
  * The Syntax Window now has a Find function to perform simple text
    searching.
  * AUTORECODE:
    - The PRINT subcommand is now implemented.
    - Many bug fixes.
  * Regression now works with python3
    Closes: #937328

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 16 Aug 2020 16:20:13 +0200

pspp (1.2.0-6) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Friedrich Beckmann ]
  * add patch widget.patch to fix FTBFS
    Closes: #966858
  * add patch delimiter.patch to fix regression failure
    see: https://savannah.gnu.org/bugs/?58943
  * remove elpa - pspp-mode.el moved to elpa repository
  * moved from python to python2 package name
    Closes: #967197
  * change maintainer to Beckmann - received no emails

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 14 Aug 2020 06:29:56 +0200

pspp (1.2.0-5) unstable; urgency=medium

  * set compiler optimization to -O2 for ppc64el
    Closes: #942609

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 24 May 2020 15:02:21 +0200

pspp (1.2.0-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Do not Build-Depend texlive-generic-recommended
    Closes: #932951
  * d/rules: remove old boilerplate
  * hardening=+all
  * sys-file-writer: Remove assertions based on file position.
    Fixes: CVE-2019-9211
    Closes: #923417

  [ Friedrich Beckmann ]
  * d/upstream/metadata - added bug link
  * removed postgresql due to license issue: #924937
  * d/copyright: added GFDL and CC-BY-SA license

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 22 May 2020 14:09:07 +0200
