=== debian/control ===
Source: pspp
Section: math
Priority: optional
Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
#           Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ben Pfaff <blp@cs.stanford.edu>
# postgresql is disabled on hurd-i386 in order to remove
# postgres support which will not build on hurd-i386
# see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820743
Build-Depends: debhelper-compat (= 13),
	       python3,
               perl,
               texinfo (>= 5.2),
               texlive,
	       libspread-sheet-widget-dev (>= 0.6),
               libgsl-dev (>= 2.0),
               libgtk-3-dev (>= 3.22.0),
               libgtksourceview-3.0-dev (>= 3.22),
               libxml2-dev,
               libreadline-dev,
               libglib2.0-dev,
               libcairo2-dev (>= 1.12),
               libpango1.0-dev (>= 1.22),
               zlib1g-dev,
               pkg-config (>= 0.21),
               libtext-diff-perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/pspp
Vcs-Git: https://salsa.debian.org/science-team/pspp.git
Homepage: http://savannah.gnu.org/projects/pspp
Rules-Requires-Root: no

Package: pspp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Statistical analysis tool
 PSPP is a program for statistical analysis of sampled data. It is a free
 replacement for the proprietary program SPSS.
 .
 PSPP supports T-tests, ANOVA, GLM, factor analysis, non-parametric tests, and
 other statistical features. PSPP produces statistical reports in plain text,
 PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.
 .
 PSPP has both text-based and graphical user interfaces. The PSPP user interface
 has been translated into a number of languages.
